function init(hero) {
    hero.setName("Black Panther");
    hero.setTier(9);
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	
    hero.addPowers( "fiskheroes:leaping", "fiskheroes:bullet_immunity","fiskheroes:water_breathing", "fiskheroes:enhanced_reflexes", "pack:vibranium_weave_suit","fiskheroes:explosion_immunity", "fiskheroes:fire_immunity", "fiskheroes:superhuman_durability", "fiskheroes:cold_resistance");
    
	   hero.addAttribute("WEAPON_DAMAGE", 11.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 14.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 100.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.25, 1);
    hero.addAttribute("SPRINT_SPEED", 0.95, 1);
    hero.addAttribute("STEP_HEIGHT", 1, 0);
  hero.addKeyBind("BLADE", "Claws", 1);
    hero.addKeyBind("UTILITY_BELT", "Vibranium Dagger", 2);
	 
	  hero.setModifierEnabled(isModifierEnabled);
		hero.setHasProperty(hasProperty);   
    
    hero.addAttributeProfile("CLAWS", clawsProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("CLAWS", {"types": {"SHARP": 1.0}});
}

function clawsProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 17.5, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "CLAWS" : null;
}



function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:water_breathing" || !entity.getData("fiskheroes:mask_open");
}
function hasProperty(entity, property) {
    return property == "MASK_TOGGLE" || !entity.getData("fiskheroes:mask_open");
}